Ma libc6 à mal !

Le
C. Mourad Jaber
Bonjour,

Un petit dist-upgrade sur un debian testing et ça va pô bien !
La libc6 hurle à la mort en essayant de se mettre à jour :

A copy of the C library was found in an unexpected directory:
'/lib/x86_64-linux-gnu/libc-2.13.so'
It is not safe to upgrade the C library in this situation;
please remove that copy of the C library or get it out of
'/lib/x86_64-linux-gnu' and try again.

J'ai essayé de revenir à la version précédente, mais sans succès !

Est-ce quelqu'un aurait une superbe magnifique idée pour contourner le problème et
remettre tout ça en bon ordre ?

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/4F9ECB29.7000409@nativobject.com
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bzzz
Le #24441431
On Mon, 30 Apr 2012 19:26:01 +0200
"C. Mourad Jaber"
La libc6 hurle à la mort en essayant de se mettre à jour :

A copy of the C library was found in an unexpected directory:
'/lib/x86_64-linux-gnu/libc-2.13.so'
It is not safe to upgrade the C library in this situation;
please remove that copy of the C library or get it out of
'/lib/x86_64-linux-gnu' and try again.

J'ai essayé de revenir à la version précédente, mais sans succès !



Hmm, tu pourrais faire un:
mv libc-2.13.so libc-2.13.so_BADBADLIB
et retenter l'update.
Charge quand même manuellement l'ancien package, comme ça au
cas où ça tournerait vraiment mal, tu pourras tjrs le réinst aller en
faisant un chroot après avoir redémarré sur un liveCD ou en mode SOS
avec un disque d'install.

--
You will be dead within a year.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
C. Mourad Jaber
Le #24441511
Le 30/04/2012 20:15, Bzzz a écrit :
On Mon, 30 Apr 2012 19:26:01 +0200
"C. Mourad Jaber"
La libc6 hurle à la mort en essayant de se mettre à jour :

A copy of the C library was found in an unexpected directory:
'/lib/x86_64-linux-gnu/libc-2.13.so'
It is not safe to upgrade the C library in this situation;
please remove that copy of the C library or get it out of
'/lib/x86_64-linux-gnu' and try again.

J'ai essayé de revenir à la version précédente, mais sans succès !


Hmm, tu pourrais faire un:
mv libc-2.13.so libc-2.13.so_BADBADLIB
et retenter l'update.
Charge quand même manuellement l'ancien package, comme ça au
cas où ça tournerait vraiment mal, tu pourras tjrs le réinstaller en
faisant un chroot après avoir redémarré sur un liveCD ou en mode SOS
avec un disque d'install.



Malheureusement, avec la libc, ça ne fonctionne pas j'ai toute une bordée d'injure si je
renomme le fichier que ce soit en direct ou en chroot avec un CD live (Parted magic) !

Là, je sèche, en plus c'est lors d'un dist-upgrade donc je n'ai plus de X, c'est le drame
total !
J'en suis à envisager une réinstallation :(

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
andre_debian
Le #24441651
Pareil pour l'upgrade Ubuntu 11 => 12
libc6 ne s'installe pas ...
Une amie m'a appelé au secours à ce sujet.
Comme c'était une nouvelle installation,
je lui ai conseillé de partir d'une image .iso
Ubuntu version 12 ...

Et je vois que c'est pareil pour Debian.

andré

On Monday 30 April 2012 19:26:01 C. Mourad Jaber wrote:
Un petit dist-upgrade sur un debian testing et ça va pô bien !
La libc6 hurle à la mort en essayant de se mettre à jour :
A copy of the C library was found in an unexpected directory:
'/lib/x86_64-linux-gnu/libc-2.13.so'
It is not safe to upgrade the C library in this situation;
please remove that copy of the C library or get it out of
'/lib/x86_64-linux-gnu' and try again.
J'ai essayé de revenir à la version précédente, mais sans succès !
Est-ce quelqu'un aurait une superbe magnifique idée pour contourner le
problème et remettre tout ça en bon ordre ?
Mourad



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bzzz
Le #24441641
On Mon, 30 Apr 2012 20:56:38 +0200
"C. Mourad Jaber"
Malheureusement, avec la libc, ça ne fonctionne pas j'ai toute une
bordée d'injure si je renomme le fichier que ce soit en direct ou
en chroot avec un CD live (Parted magic) !

Là, je sèche, en plus c'est lors d'un dist-upgrade donc je n'ai
plus de X, c'est le drame total !
J'en suis à envisager une réinstallation :(



Alors triche: boot en liveCD (plutôt basé sur debian) et remplace à
la main les fichiers de libc6 un par un à partir du package antér ieur;
puis gèle libc6 jusqu'à ce que tu sois sûr que le PB soit évacué.

--
Sank heaven for leetle curls.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
C. Mourad Jaber
Le #24442171
Le 30/04/2012 21:18, Bzzz a écrit :
On Mon, 30 Apr 2012 20:56:38 +0200
"C. Mourad Jaber"
Malheureusement, avec la libc, ça ne fonctionne pas j'ai toute une
bordée d'injure si je renomme le fichier que ce soit en direct ou
en chroot avec un CD live (Parted magic) !

Là, je sèche, en plus c'est lors d'un dist-upgrade donc je n'ai
plus de X, c'est le drame total !
J'en suis à envisager une réinstallation :(


Alors triche: boot en liveCD (plutôt basé sur debian) et remplace à
la main les fichiers de libc6 un par un à partir du package antérieur;
puis gèle libc6 jusqu'à ce que tu sois sûr que le PB soit évacué.



Je le sens pas trop mais je ne vois pas trop comment faire autrement...

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bzzz
Le #24442201
On Tue, 01 May 2012 00:36:18 +0200
"C. Mourad Jaber"
>
Je le sens pas trop mais je ne vois pas trop comment faire
autrement...



Ben t'as pas trop le choix en l'occurence, soit tu restes avec un
système boiteux en espérant que le PB d'upgrade de lic6 se rà ©solve
de lui-même, soit tu reviens en arrière et tu récupères une conf
viable; à la condition qu'il n'y-ait pas un tas de dépendances
cassées.

C'est à cause de trucs comme ça que j'ai laissé tomber testi ng pour
unstable; au moins quand ça crash on sait (à peu près) pourq uoi,
et ce type de PB reste extrêmement rare (et en tout cas peut
être évité juste avec listbugs).

--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
pmenier
Le #24442651
Le 30/04/2012 21:11, a écrit :
Et je vois que c'est pareil pour Debian.


Bonjour

Oui sauf que chez debian ça arrive sur de la testing.....
Patrick


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/jno3tc$23g$
J
Le #24443721
Le mardi 01 mai 2012 à 00:51 +0200, Bzzz a écrit :
C'est à cause de trucs comme ça que j'ai laissé tomber testing pour
unstable; au moins quand ça crash on sait (à peu près) pourquoi,
et ce type de PB reste extrêmement rare (et en tout cas peut
être évité juste avec listbugs).



C'est pas faux, testing c'est pas "plus proche de stable" mais "en cours
d'intégration pour stable", grosse nuance qui ne met pas à l'abris de
gros gag, ni de problèmes durables.

Avec Sid on a beaucoup plus de mises à jour, les problèmes possibles
sont plus fréquents mais résolus rapidement.

L'un ou l'autre est un choix, mais dans les 2 cas : Ce n'est pas une
stable. Il faut être très prudent sur les mises à jour et savoir ce
qu'on fait.

Pour les problèmes de chemins, il me semble qu'il y a déjà eu quelques
petits bugs avec la nouvelle arborescence "multiarch" je ne sais pas si
ça a un rapport.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
C. Mourad Jaber
Le #24455931
Le 01/05/2012 10:07, Jérôme a écrit :
Le mardi 01 mai 2012 à 00:51 +0200, Bzzz a écrit :
C'est à cause de trucs comme ça que j'ai laissé tomber testing pour
unstable; au moins quand ça crash on sait (à peu près) pourquoi,
et ce type de PB reste extrêmement rare (et en tout cas peut
être évité juste avec listbugs).


C'est pas faux, testing c'est pas "plus proche de stable" mais "en cours
d'intégration pour stable", grosse nuance qui ne met pas à l'abris de
gros gag, ni de problèmes durables.

Avec Sid on a beaucoup plus de mises à jour, les problèmes possibles
sont plus fréquents mais résolus rapidement.

L'un ou l'autre est un choix, mais dans les 2 cas : Ce n'est pas une
stable. Il faut être très prudent sur les mises à jour et savoir ce
qu'on fait.

Pour les problèmes de chemins, il me semble qu'il y a déjà eu quelques
petits bugs avec la nouvelle arborescence "multiarch" je ne sais pas si
ça a un rapport.




C'est peut-être le cas !

Je vais tenter un upgrade vers la libc de SID... avec un peu de chance, la magie opérera !

Cependant, je prévois de repartir d'un CD debian CUT.

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
andre_debian
Le #24456471
Si la "libc6" ne bloque pas le système,
il existe un solution.

J'avais lu un tuto à ce sujet sur la méthode exact, que je ne ret rouve plus,
mais la voici dans le principe :
créer un package "libc6... .deb"
contenant des infos bidons mais avec en même temps
crédibles puis l'installer via "dpkg install ..."
(ça ne créé pas de message d'erreur)

J'avais installé un pilote d'imprimante qui fonctionnait sous Lenny
mais pas sous Squeeze, me demandant une librairie ininstallable.
À chaque "aptitude install ", j'avais droit à un message d'erreur
avec effacement systématique du pilote d'imprimante.

Par cette méthode qui trompe le système, mon imprimante
marche parfaitement et je ne reçois plus aucun message d'erreur.

Hope it helps ...

Bonne soirée

andré

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme